Update Lambda

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

After the lambda is created from the /v2/app/lambda/create or imported using /v2/app/lambda/import API call, use this API to update your lambda if your lambda contract supports upgrades.

Once you have upgraded your lambda contract by calling the upgrade function using Invoke Lambda, you can use this API to update the lambda ABI if there are any changes to the ABI.

You can find detailed instructions on how to create an upgradeable lambda here.

Error Status

🚧

Api Error Status

You can find error status returned by the api here.

© Copyright 2024, Passbird Research Inc.

Body Params
string
required

Hex encoded lambda address. This is obtained from a previous /v2/app/lambda/create or /v2/app/lambda/import API call

json
required
Defaults to [{ "inputs": [ { "internalType": "string", "name": "_greeting", "type": "string" } ], "name": "setGreeting", "outputs": [], "stateMutability": "nonpayable", "type": "function", "signature": "0xa4136862" }]

Smart Contract ABI. You get this after compiling your smart contract using hardhat or truffle.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json